package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.time.LocalDate;
import java.util.List;

public class MenuRecipeDateV2AddDTO {
   @ApiModelProperty("发布日期")
   private LocalDate applyDate;
   @ApiModelProperty("启用时间(周)")
   private Integer applyWeek;
   @ApiModelProperty("菜谱详情")
   private @Valid List<MenuRecipeDetailV2AddDTO> detailList;

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public Integer getApplyWeek() {
      return this.applyWeek;
   }

   public List<MenuRecipeDetailV2AddDTO> getDetailList() {
      return this.detailList;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

   public void setApplyWeek(final Integer applyWeek) {
      this.applyWeek = applyWeek;
   }

   public void setDetailList(final List<MenuRecipeDetailV2AddDTO> detailList) {
      this.detailList = detailList;
   }
}
